<template>
  <div id="upload-tab">
    <h1>Upload Images</h1>
    <div class="upload">
      <ul>
        <li v-for="(file, index) in files" :key=index>
          <span>{{file}}</span><img width="100px" :src=file>
        </li>
      </ul>
    <input  type="file" @change="onFileChanged">
  </div>
  </div>
</template>

<script>
export default {
data() {
    return {
      files:[]
    }
  },
  methods: {
    onFileChanged (event) {
      var reader = new FileReader();
      let self = this;
      reader.onload = function (event) {
	      self.onUpload(event);
      }
      reader.readAsDataURL(event.target.files[0]);
  },
  onUpload(event) {
    app.api.Post('images' + '?type=newspaper', event.target.result).then(response => {
      this.files.push('https://' + window.location.host + response);
      // todo: emit up to other component to pull in fresh uploads for add modal
    });
  }
  }
}
</script>

